Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.net
Class ConnectionEvent

    java.lang.Object
      java.util.EventObject
          weblogic.security.net.ConnectionEvent

All Implemented Interfaces:
  Serializable

    public final class ConnectionEvent

extends EventObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionEvent(InetAddress remAddr, int remPort, InetAddress localAddr, int localPort, String protocol)`
`ConnectionEvent(Socket s, String protocol)`

Method Summary
`boolean` | `equals(Object obj)`
`InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`String` | `getProtocol()`
`InetAddress` | `getRemoteAddress()`
`int` | `getRemotePort()`
`int` | `hashCode()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionEvent

    public ConnectionEvent(Socket s,
                           String protocol)

### ConnectionEvent

    public ConnectionEvent(InetAddress remAddr,
                           int remPort,
                           InetAddress localAddr,
                           int localPort,
                           String protocol)

Method Detail

### getRemoteAddress

    public InetAddress getRemoteAddress()

### getRemotePort

    public int getRemotePort()

### getLocalAddress

    public InetAddress getLocalAddress()

### getLocalPort

    public int getLocalPort()

### getProtocol

    public String getProtocol()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD